org.apache.ignite.ml.util.generators.primitives.scalar

## Interface RandomProducer

- All Superinterfaces:
    Supplier<Double>
  All Known Implementing Classes:
    DiscreteRandomProducer, GaussRandomProducer, UniformRandomProducer

      public interface RandomProducer
      extends Supplier<Double>

  Represents a generator of pseudo-random scalar values.

- - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default IgniteFunction<Double,Double>` | `noizify(IgniteFunction<Double,Double> f)` Adds value generated by random producer to function value.
    `default Vector` | `noizify(Vector vector)` Adds values generated by random producer to each vector value.
    `default VectorGenerator` | `vectorize(int vectorSize)` Create `VectorGenerator` with vectors having feature values generated by random producer.
    `static VectorGenerator` | `vectorize(RandomProducer... producers)` Creates `VectorGenerator` with vectors having feature values in according to preudorandom producers.

    - ### Methods inherited from interface java.util.function.Supplier

      `get`

- - ### Method Detail

    - #### vectorize

          default VectorGenerator vectorize(int vectorSize)

      Create `VectorGenerator` with vectors having feature values generated by random producer.
      Parameters:
        `vectorSize` - Generated vector size.
      Returns:
        Vector generator.

    - #### noizify

          default IgniteFunction<Double,Double> noizify(IgniteFunction<Double,Double> f)

      Adds value generated by random producer to function value.
      Parameters:
        `f` - Function.
      Returns:
        New function with noize.

    - #### noizify

          default Vector noizify(Vector vector)

      Adds values generated by random producer to each vector value.
      Parameters:
        `vector` - Vector.
      Returns:
        New vector.

    - #### vectorize

          static VectorGenerator vectorize(RandomProducer... producers)

      Creates `VectorGenerator` with vectors having feature values in according to preudorandom producers.
      Parameters:
        `producers` - Feature value producers.
      Returns:
        Vector generator.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022